namespace Code.Core;

public class Sprint
{
    public int SprintNumber { get; set; }
    public DateTime StartDate { get; set; }
    public DateTime EndDate { get; set; }
    public bool IsActive { get; set; } = false;
    public List<UserStory> UserStories { get; set; } = new List<UserStory>();

    public void MarkStoryDone(UserStory userStory)
    {
        var story = UserStories.First(x => x.Title == userStory.Title);
        story.IsComplete =  true;
    }
}